#!/usr/bin/env fish
mise env -s fish | source

set -l g (set_color a6d189)
set -l b (set_color 8caaee)
set -l s '#8caaee'
set -l n (set_color normal)

gum style --foreground "$s" --border double --padding "1 2" --margin "1" "Ma conf pour Ghostty"
gum spin --spinner.foreground "$s" --spinner dot --title " " -- fish -c read

echo "$g❯$b Ligatures JetBrains Mono :$n"
gum style --foreground 99 "  ->   =>   !=   <=   >=   /* */   < >   ::   |>   <|"
gum spin --spinner.foreground "$s" --spinner dot --title " " -- fish -c read

echo
echo "$g❯$b cat ~/.config/ghostty/config.ghostty$n"
batcat -pp -l toml ~/.config/ghostty/config.ghostty
